Bug 1000866 - SoapUI SOAPClient doesn't pick up HttpClient properties if "wsdl" specifies local file ("file://...")
SoapUI SOAPClient doesn't pick up HttpClient properties if "wsdl" specifies l...
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.3.1
Unspecified Unspecified
high Severity high
: GA
: ---
Assigned To: Tadayoshi Sato
:
Depends On:
Blocks: 986007
  Show dependency treegraph
 
Reported: 2013-08-25 21:53 EDT by Tadayoshi Sato
Modified: 2014-03-05 11:17 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3947 Major Closed SoapUI SOAPClient doesn't pick up HttpClient properties if "wsdl" specifies local file ("file://...") 2014-04-02 05:14:22 EDT
JBoss Issue Tracker JBESB-3955 Major Closed SoapUI SOAPClient doesn't pick up HttpClient properties if "wsdl" specifies local file ("file://...") 2014-04-02 05:14:23 EDT

  None (edit)
Description Tadayoshi Sato 2013-08-25 21:53:00 EDT
Description of problem:
Platform BZ for https://issues.jboss.org/browse/JBESB-3947

In the soapUI version of SOAPClient, when hosting a WSDL locally (i.e. "file://..."), the Apache HttpClient which is used in SOAPClient does not pick up the proxy server settings:

<action name="soapui-client-action" class="org.jboss.soa.esb.actions.soap.SOAPClient">
  <property name="wsdl" value="file:///opt/jboss-soa-p-5.3.1/jboss-as/samples/quickstarts/webservice_consumer1/HelloWorldWS.wsdl" />
  <property name="http-client-properties">
    <http-client-property name="http.proxyHost" value="192.168.0.101"/>
    <http-client-property name="http.proxyPort" value="18080"/>
  </property>
  ...
</action>
Comment 1 JBoss JIRA Server 2013-10-15 05:48:48 EDT
Tadayoshi Sato <tadayosi@gmail.com> updated the status of jira JBESB-3947 to Resolved
Comment 2 JBoss JIRA Server 2013-10-15 05:48:48 EDT
Tadayoshi Sato <tadayosi@gmail.com> made a comment on jira JBESB-3947

Commetted to trunk.
Comment 3 JBoss JIRA Server 2013-10-15 05:49:20 EDT
Tadayoshi Sato <tadayosi@gmail.com> made a comment on jira JBESB-3947

Committed to trunk.
Comment 4 JBoss JIRA Server 2013-10-15 12:50:14 EDT
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3947 to Closed
Comment 5 JBoss JIRA Server 2013-10-15 12:50:14 EDT
Tom Cunningham <tcunning@redhat.com> made a comment on jira JBESB-3947

Merged this into continuing branch in JBESB-3955.

Note You need to log in before you can comment on or make changes to this bug.